{
    onModifySpAPriority: 5,
    onModifySpA(atk, pokemon) {
        if (["sunnyday", "desolateland"].includes(pokemon.effectiveWeather())) {
            return this.chainModify(1.5);
        }
    },
    onModifyAtkPriority: 5,
    onModifyAtk(atk, pokemon) {
        if (["sunnyday", "desolateland"].includes(pokemon.effectiveWeather())) {
            return this.chainModify(1.5);
        }
    },
    onAfterMove(pokemon, target, move) {
        if (
            ["sunnyday", "desolateland"].includes(pokemon.effectiveWeather()) &&
            move.category !== 'Status'
        ) {
            this.damage(pokemon.baseMaxhp / 16, pokemon, pokemon, this.dex.abilities.get('solarpower'));
        }
    },
    flags: {},
    name: "Solar Power",
    rating: 2,
    num: 94
}
